# Generated by Django 2.1.2 on 2018-12-05 05:31

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('members', '0011_auto_20181205_0731'),
    ]

    operations = [
        migrations.CreateModel(
            name='Discussion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.TextField(max_length=500)),
                ('user', models.ManyToManyField(to='members.Member')),
            ],
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('message', models.TextField()),
                ('creation_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('discussion', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='discussions.Discussion')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='members.Member')),
            ],
        ),
    ]
